cURL
curl --request POST \
--url https://api.helohq.com/domains/{id}/rotate-key \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Domains;
var dnsRecord = await helo.Domains.RotateKey("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Domains.rotate_key(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
dns_record = client.domains.rotate_key("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Domains.RotateKey(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.domains.rotateKey(
"550e8400-e29b-41d4-a716-446655440000",
);{
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Domains
Rotate a domain key
Generates new DKIM keys for the domain. This is recommended for security best practices.
POST
/
domains
/
{id}
/
rotate-key
cURL
curl --request POST \
--url https://api.helohq.com/domains/{id}/rotate-key \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Domains;
var dnsRecord = await helo.Domains.RotateKey("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Domains.rotate_key(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
dns_record = client.domains.rotate_key("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
result, err := client.Domains.RotateKey(ctx, "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.domains.rotateKey(
"550e8400-e29b-41d4-a716-446655440000",
);{
"type": "txt",
"host": "<string>",
"value": "<string>",
"status": "pending",
"lastCheckedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.